Create V Center Mapping

Create V Center Mapping
Create vCenter mappings

Create mappings between collector or collectorGroup and vCenters

Request
URI
POST
https://{api_host}/suite-api/api/applications/vccpmappings
COPY
Request Body

vCenter Mapping object.

vcenter-to-cloud-proxy-list of type(s) application/json
Required

Show optional properties

{
    "vCenterMappings": [
        {
            "vCenterIds": [
                {}
            ]
        }
    ]
}
"{\n  \"vCenterMappings\" : [ {\n    \"collectorUUID\" : \"abfd297b-a464-4144-b7fd-b81297fb17ec\",\n    \"vCenterIds\" : [ \"5d3fc9e1-d900-49e6-aa3e-85c46363c593\", \"faf61029-ff90-4c23-a888-b5dc7cd4827a\" ]\n  }, {\n    \"collectorGroupId\" : \"63a0bcf2-fa18-4075-966d-a5810d7dce90\",\n    \"vCenterIds\" : [ \"5d3fc9e1-d900-49e6-aa3e-85c46363c593\", \"faf61029-ff90-4c23-a888-b5dc7cd4827a\" ]\n  } ]\n}"
array of object
vCenterMappings
Required
Constraints: minItems: 1

Collection of vCenter Mapping instances

Authentication
This operation uses the following authentication methods.
Responses
201

The vCenter Mappings are created successfully

Returns vcenter-to-cloud-proxy-list of type(s) application/json
"No Custom Example is Available"
array of object
vCenterMappings
Required
Constraints: minItems: 1

Collection of vCenter Mapping instances


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"vCenterMappings":["object"]}' https://{api_host}/suite-api/api/applications/vccpmappings